Bug 463762 - Package review: perl-Module-Extract
Package review: perl-Module-Extract
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 463763
  Show dependency treegraph
 
Reported: 2008-09-24 11:58 EDT by Marcela Mašláňová
Modified: 2008-09-29 06:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 06:07:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch fixing spec file (344 bytes, patch)
2008-09-25 06:25 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Marcela Mašláňová 2008-09-24 11:58:58 EDT
Description:
Module::Extract is a convenience base class for creating module that work
with Perl distributions.

http://mmaslano.fedorapeople.org/perl-Module-Extract/perl-Module-Extract-0.01-1.fc9.src.rpm
http://mmaslano.fedorapeople.org/perl-Module-Extract/perl-Module-Extract.spec
Comment 1 Matěj Cepl 2008-09-25 06:24:44 EDT
+ GOOD: rpmlint is silent on both source and binary package.
+ GOOD: The package is named according to the Package Naming Guidelines .
+ GOOD: The spec file name matches the base package %{name}, in the format
  %{name}.spec.
- BAD: The package meets the Packaging Guidelines .
* https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
  there is no email address in %changelog -- all required formats of the
  changelog record include email address
+ GOOD: The package is licensed with a Fedora approved license and meet the
Licensing Guidelines .
+ GOOD: The License field in the package spec file matches the actual license.
+ GOOD: LICENSE file is in %doc.
+ GOOD: The spec file is written in American English.
+ GOOD: The spec file for the package is legible.
+ GOOD: The sources used to build the package matches the upstream source,
as provided in the spec URL.
  e75fc18af9686da49c2ee24cc555cb89
+ GOOD: The package successfully compiles and build into binary rpms on at
least one supported architecture.
  Koji scratch build is
  http://koji.fedoraproject.org/koji/taskinfo?taskID=843468
+ GOOD: noarch, so it compiles everywhere.
+ GOOD: All build dependencies are listed in BuildRequires.
+ GOOD: The spec file MUST handle locales properly.
  No locale support.
+ GOOD: no libraries
+ GOOD: not relocatable
+ GOOD: A package owns all directories that it creates.
  Follows perl guidelines.
+ GOOD: A package must not contain any duplicate files in the %files listing.
+ GOOD: Permissions on files must be set properly.
+ GOOD: Each package have a %clean section.
+ GOOD: Each package consistently use macros.
+ GOOD: The package contains code, or permissable content.
+ GOOD: No large documentation files, so no a -doc subpackage.
+ GOOD: Files registered in %doc does not affect the runtime of the
application.
+ GOOD: No header files.
+ GOOD: No static libraries.
+ GOOD: No pkgconfig(.pc) files.
+ GOOD: The package does not contain library files with a suffix.
+ GOOD: No devel packages.
+ GOOD: No .la libtool archives.
+ GOOD: Packages does not contain GUI applications.
+ GOOD: Packages does not own files or directories owned by other packages.
+ GOOD: Runs rm -rf $RPM_BUILD_ROOT in %install
+ GOOD: All filenames in rpm packages are valid UTF-8.
+ SHOULD: Includes license text.

Attaching patch for the SPEC file -- when this is applied, APPROVED.
Comment 2 Matěj Cepl 2008-09-25 06:25:49 EDT
Created attachment 317672 [details]
patch fixing spec file
Comment 4 Marcela Mašláňová 2008-09-25 07:03:03 EDT
New Package CVS Request
=======================
Package Name: perl-Module-Extract
Short Description: base class for creating module for Perl
Owners: mmaslano@redhat.com
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Kevin Fenzi 2008-09-28 15:13:57 EDT
cvs done. 

Please use fedora account names, not email in cvs requests.

Note You need to log in before you can comment on or make changes to this bug.